getneo
  1. Counterparties
getneo
  • Introduction
  • API examples
  • Technical topics
    • API structure
    • HTTP headers
    • Decoupled responses
    • Validation failures (418)
  • Endpoints
    • Auth
      • Get service bearer token (password)
        GET
      • Change tenant
        GET
      • Close session
        GET
    • Counterparties
      • List counterparties
        GET
      • Get counterparty by ID
        GET
      • Get draft counterparty by ID
        GET
      • Submit counterparty draft
        POST
      • Update counterparty draft
        POST
      • Delete a counterparty draft
        DELETE
      • Add account to counterparty
        POST
      • Update counterparty account
        PATCH
      • Export counterparty data
        POST
      • Verify payee details
        POST
    • MSB
      • List subclients
      • Get a subclient by ID
      • Create a new subclient
      • Update a subclient
    • Payments
      • List payments
        GET
      • Get a payment by ID
        GET
      • Make a payment (deposit, withdrawal or internal)
        POST
    • Trading
      • Quote order
      • Submit order
    • Wallets
      • List wallets
      • Get a wallet by ID
  • Schemas
    • Reference
      • actions
      • bic_swift
      • country
      • currency
      • entity_key
    • Enums
      • OrderTypes
    • Subclients
      • subclientAddressesModel
      • subclientDetailsModel
      • subclientParentModel
      • subclientAdditionalInformationModel
      • subclientResponseModel
      • subclientRequestModel
      • subclientRegulatorsModel
      • subclientInternalInformationModel
      • subclientRegulatorModel
      • subclientKycModel
      • subclientKycDetailsModel
    • Components
      • AmountModel
      • AmountModelWithRate
      • BaseableAmountModel
      • CorpModel
      • IbanModel
      • TenantInfo
      • WalletModel
      • WalletLedgerModelV5
      • OrderLegAccount
      • PersonModel
    • Response
      • standard-Validation-Failure
    • Payments
      • VoP
        • VopResponseModel
        • VopRequestModel
        • VopForm
      • counterpartyAccountModelV3
      • ibanSlim
      • specifiedPaymentFee
      • counterpartyAttachmentsResponseModel
      • counterpartyModelV3
      • intermediaryBankAccountModel
      • counterpartyAccountModelV2
      • counterpartyModelV2
      • orderPaymentResponseModel
      • paymentAccountModel
      • paymentAttachmentsResponseModel
      • paymentBlotterItemModelV2
      • paymentCounterpartyAccountModel
      • paymentCounterpartyModel
      • paymentDestinationModel
      • paymentFeesChargeModel
      • paymentFeeSlim
      • paymentForm
      • paymentItemSlimModel
      • paymentSourceForm
      • paymentSourceModel
      • paymentTrackingSource
      • accountSlim
      • accountInfo
      • accountOwnerModel
      • addressModel
    • Responses
      • CorpWalletModelV2
      • FullIdentityResponse
      • IdentityResponse
    • Schemas
      • clientCorpAddressModel
      • rejectForm
      • confirmationDocumentResponseModel
      • invoiceableAmountModel
    • Trading
      • swapInfoModel
      • tickPriceModel
      • quotePriceModel
      • reversableRateModel
      • leg
      • commissionResponseModel
      • forwardRateModel
      • marginResponseModel
      • markToMarketResponseModel
      • orderQuoteResponse
      • orderSettlementResponseModel
      • marketInfoResponseModel
      • rateModel
      • settlementInstructionsModel
      • tickRateModel
      • tradeLimitsModel
      • OrderQuoteForm
  1. Counterparties

Verify payee details

Demo
https://api.demo.getneo.com
Demo
https://api.demo.getneo.com
POST
/v3/counterparties/accounts/verify
Important
The sepaPayee purpose (VoP) MUST NOT be used for advanced verification of payees.
The VoP service forbids requests being raised that are not intended for payment. If the ratio of requests raised without payments being booked becomes too high, access to this endpoint will be restricted.
Payments over the SEPA network require that account details are verified before booking the payment.
The correct process is:
1.
Be ready to place a payment (amount, destination, etc.)
2.
Raise a verification request (this endpoint) for the destination account using the sepaPayee purpose
3.
When booking the payment, set verification.requestId to the response ID
If the response did not give status match, the payment cannot continue. Either the verification request should be retried, in case it was a temporary issue, or the issue can be ignored by setting verification.acceptWarning to true
The same requestId may be returned for requests made within a short period. Each ID may only be used for a single payment, so it is important that requests are made directly before the payment is booked.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.demo.getneo.com/v3/counterparties/accounts/verify' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "counterpartyId": "abcdefghijkl0123456789",
    "bankAccountId": "abcdefghijkl0123456789",
    "purpose": "sepaPayee"
}'
Response Response Example
{
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
    "purpose": "sepaPayee",
    "timestamp": "2019-08-24T14:15:22.123Z",
    "expireTime": "2019-08-24T14:15:22.123Z",
    "responseState": "match",
    "suggestedName": "string"
}
Modified at 2026-02-26 18:09:59
Previous
Export counterparty data
Next
MSB
Built with